=== debian/changelog ===
kdepim-runtime (4:25.12.0-0zneon+24.04+noble+release+build55) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:42 +0000

kdepim-runtime (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:57 +1000
