## kdepim-runtime 25.12.0+p24.04+vstable+git20251226.0341

=== debian/changelog ===
kdepim-runtime (4:25.12.0+p24.04+vstable+git20251226.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 03:41:52 +0000
