## kdepim-runtime 25.12.0+p24.04+vstable+git20260102.1303

=== debian/changelog ===
kdepim-runtime (4:25.12.0+p24.04+vstable+git20260102.1303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 13:03:32 +0000
