## kdepim-runtime 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
 project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})
 
 set(KDEPIM_DEV_VERSION )
-set(RELEASE_SERVICE_VERSION "25.12.0")
+set(RELEASE_SERVICE_VERSION "25.12.1")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -39,22 +39,22 @@
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "6")
-set(AKONADI_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.1")
 
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.0")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
-set(CALENDARUTILS_LIB_VERSION "6.6.0")
-set(KIMAP_LIB_VERSION "6.6.0")
-set(KMBOX_LIB_VERSION "6.6.0")
-set(AKONADICALENDAR_LIB_VERSION "6.6.0")
-set(KMIME_LIB_VERSION "6.6.0")
-set(AKONADIMIME_LIB_VERSION "6.6.0")
-set(AKONADICONTACT_LIB_VERSION "6.6.0")
-set(KGAPI_LIB_VERSION "6.6.0")
-set(KLDAP_LIB_VERSION "6.6.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.1")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.1")
+set(CALENDARUTILS_LIB_VERSION "6.6.1")
+set(KIMAP_LIB_VERSION "6.6.1")
+set(KMBOX_LIB_VERSION "6.6.1")
+set(AKONADICALENDAR_LIB_VERSION "6.6.1")
+set(KMIME_LIB_VERSION "6.6.1")
+set(AKONADIMIME_LIB_VERSION "6.6.1")
+set(AKONADICONTACT_LIB_VERSION "6.6.1")
+set(KGAPI_LIB_VERSION "6.6.1")
+set(KLDAP_LIB_VERSION "6.6.1")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
