## kdepim-runtime 25.12.1+p24.04+vstable+git20260201.0237

=== debian/changelog ===
kdepim-runtime (4:25.12.1+p24.04+vstable+git20260201.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:37:19 +0000

kdepim-runtime (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:23:15 +1000
