## kdepim-runtime 25.12.2

=== debian/changelog ===
kdepim-runtime (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:39:52 +0000

kdepim-runtime (4:25.12.1-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:52:49 +0000

kdepim-runtime (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * d/rules: Don't pass -Skf5 to dh_auto_configure.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 16:44:42 +0000

kdepim-runtime (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:37:41 +0000

kdepim-runtime (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:02:14 +0000

kdepim-runtime (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:19:38 +0000
